Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450492 - incorrect license tag in kernel packages
Summary: incorrect license tag in kernel packages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Alexandre Oliva
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-09 07:20 UTC by Alexandre Oliva
Modified: 2012-09-14 16:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-14 16:06:41 UTC
Type: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2008-06-09 07:20:24 UTC
The kernel packages claim to be under the GPLv2.  This may be true for most of
the code in the kernel, but it's clearly not true for all of it.  There are very
many pieces of code in there that are under various licenses that are not
compatible with the GPLv2 (not to mention those that claim to be under the GPL
but that would require corresponding sources to be distributed under the GPL). 
I suggest fixing the license tag or, even better, moving the offending files and
code snippets to separate packages.

Comment 1 Chuck Ebbert 2008-06-10 04:34:15 UTC
We're not going to change the license terms we get from upstream.

Comment 2 Alexandre Oliva 2008-06-10 06:18:01 UTC
I'm not suggesting you to change the license terms you get from upstream.  I'm
rather suggesting you to stop doing that.

The whole you get from upstream is not under GPLv2.  Only if you remove the code
that can't be distributed under the GPLv2 would you (and they) be able to claim
it all to be under GPLv2.  But they don't.  They claim various pieces are under
various licenses, even though all of the code developed as part of the Linux
project is available under the GPL.

Code that they claim to be merely aggregated into the source tarballs for
convenience is under different licenses, and the sources say so.  I'm only
suggesting that you make the license tag reflect the code you're shipping.  Not
doing so is misleading at best.

It might even expose Red Hat and the Fedora project to secondary copyright
infringement liability, for people who believe the license tag may end up
modifying the sources of code that doesn't grant such permissions, believing
they got such permissions from Red Hat or the Fedora project.  Please don't
close this again before discussing it with our lawyers.

Comment 3 Jeff Moe (jebba) 2008-06-15 19:56:40 UTC
*      Derived from proprietary unpublished source code


This is quite true. I always thought I was getting a GPL kernel from
RedHat/Fedora (I've been using RH since 1995). Around when gnewsense came about
I learned that the kernel you are distributing to me is *NOT* GPL, despite what
your tag says.

I guess the question is why do you claim it's GPL when you *KNOW* (and have
likely known for years) that it is not GPL? Just change the tag to "Mix of GPLv2
and Redistributable, no modification permitted" (or similar) since that is what
it is.

Or if it is GPL, where do I get the sources to tg3.c, for example? Do I have to
sue to get the source, for example? RedHat, Broadcom, David Miller? All of them?

Comment 4 Chuck Ebbert 2008-06-27 18:42:39 UTC
(In reply to comment #3)
> Or if it is GPL, where do I get the sources to tg3.c, for example? Do I have to
> sue to get the source, for example? RedHat, Broadcom, David Miller? All of them?

Sue the Linux Foundation, they are providing that driver in the official kernel
on www.kernel.org...

Fedora does not add _anything_ to the Fedora kernel that is not under GPL.

I do not speak for Red Hat, and what is distributed with Red Hat Enterprise
Linux is a whole different matter.


Comment 5 Alexandre Oliva 2008-06-28 00:37:43 UTC
The point is that the Linux Foundation does not claim that driver to be under
the GPL, whereas Fedora does.

Comment 6 Bug Zapper 2009-06-10 01:30:01 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 18:05:31 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Alexandre Oliva 2009-07-28 17:54:27 UTC
Problem still present in Fedora 11 and rawhide.  A number of blobs have been moved to kernel-firmware, but very many still remain in the kernel proper that can't be distributed under the GPL.

Comment 9 Bug Zapper 2009-11-16 08:08:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Richard Fontana 2010-05-05 20:08:51 UTC
Alexandre, at my request, has separately provided me with detailed information on files in the kernel that he believes contain GPL-incompatible portions. In my opinion, it is beyond dispute that at least the following files, which I understand are still included in the Fedora kernel package, are covered by licensing terms not reconcilable with GPLv2:

drivers/staging/rt2860/common/firmware.h
drivers/net/appletalk/cops_ffdrv.h 
drivers/net/appletalk/cops_ltdrv.h

That being so, it follows that the existing license tag is inconsistent with published Fedora guidelines at 
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines
The following license tag would seem to me to be more in line with Fedora guidelines, as suggested in comment #3:

  License: GPLv2 and Redistributable, no modification permitted

Another solution would be for Fedora to change its guidelines for license tags to indicate that a given license tag does not imply the absence, in some technical contexts, of blobs under terms more restrictive than the indicated license. I am not sure that there is any implied understanding that this is so today (unlike, say, the general understanding that license texts bundled with packages under free software licenses may themselves be unmodifiable).

Comment 11 Bug Zapper 2010-11-04 11:52:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Rahul Sundaram 2010-11-08 19:13:50 UTC
Any update on this?

Comment 13 Dave Jones 2012-09-14 16:06:41 UTC
committed for 18/rawhide.


Note You need to log in before you can comment on or make changes to this bug.